<?xml version="1.0" encoding="utf-8"?>

<android.support.constraint.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="ch.pizzaleu.android.activity.SplashActivity"
    android:background="@color/white">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop"
        android:src="@drawable/background_wood"/>

    <ImageView
        android:id="@+id/pizzappSplashLogoImageView"
        android:layout_width="200dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:src="@drawable/pizzaleu_splash_logo"
        android:adjustViewBounds="true"
        android:layout_marginTop="8dp"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:scaleType="fitXY"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"/>

    <RelativeLayout
        android:id="@+id/choosePostCodeLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_marginTop="16dp"
        android:layout_marginLeft="16dp"
        android:layout_marginStart="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/background_button_add_cart"
        app:layout_constraintTop_toBottomOf="@id/pizzappSplashLogoImageView"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent">

        <TextView
            android:id="@+id/postCodeTextView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/choose_post_code"
            android:layout_centerInParent="true"
            android:textSize="12sp"
            android:textColor="@color/main_black"/>

        <ImageView
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentEnd="true"
            android:src="@drawable/ic_down_black"
            android:tint="@color/main_black"
            android:layout_marginRight="8dp"
            android:layout_marginEnd="8dp"
            android:layout_centerVertical="true"/>

    </RelativeLayout>

    <Button
        android:id="@+id/choosePostCodeButton"
        android:background="@drawable/background_button_pizzapp_gray"
        android:textColor="@color/yellow"
        android:textSize="12sp"
        android:textAllCaps="false"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_marginTop="8dp"
        android:layout_marginLeft="16dp"
        android:layout_marginStart="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginEnd="16dp"
        android:text="@string/choose_post_code_button"
        app:layout_constraintTop_toBottomOf="@+id/choosePostCodeLayout"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"/>

    <android.support.v4.view.ViewPager
        android:id="@+id/campaignsViewPager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_margin="16dp"
        app:layout_constraintTop_toBottomOf="@+id/choosePostCodeButton"
        app:layout_constraintDimensionRatio="H,16:9"/>

    <me.relex.circleindicator.CircleIndicator
        android:id="@+id/viewPagerIndicator"
        android:layout_width="match_parent"
        app:layout_constraintTop_toBottomOf="@+id/campaignsViewPager"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_height="48dp"
        android:visibility="gone"/>

</android.support.constraint.ConstraintLayout>